#!/bin/sh
source /etc/vdr.d/conf/vdr
#set -x
NOAD_NICE="${NOAD_NICE:-10}"
logger -s "$0 $@"

NOAD="$(which noad)"
# before opts
NOAD_BOPTS="-p $NOAD_NICE -vvv --statisticfile=/var/log/noadonlinestat before"
# after opts
NOAD_AOPTS="--comments --jumplogo --ac3 --overlap --backupmarks --statisticfile=/var/log/noadstat -"
NOAD_OPTS=""

if [ "$NOAD" = "" ] ; then
   logger -s "<$NOAD> not found"
   exit
fi

case "$1" in
   before)
      if [ "$SET_MARKS" = "Live" ] ; then
         NOAD_OPTS="--online=1 $NOAD_BOPTS"
      elif [ "$SET_MARKS" = "Immer" ] ; then
         NOAD_OPTS="--online=2 $NOAD_BOPTS"
      fi
      shift
      ;;
   after|-)
      NOAD_OPTS="$NOAD_AOPTS"
      shift
      ;;
   *)
      if [ ! -d "$1" ] ; then
         logger -s "ERROR: unknown state: $1"
	 exit
      fi	 
      NOAD_OPTS="$NOAD_AOPTS"
      ;;
esac
# Wait for other noads to end
if [ "$NOAD_OPTS" != "" ] ; then
   [ "$(pidof noad)" != "" ] && logger -s "Waiting for noad ..."
   while [ "$(pidof noad)" != "" ] ; do      
      sleep 10
   done	 
   CMD="nice -n $NOAD_NICE $NOAD $NOAD_OPTS"
   logger -s "Starting <$CMD $1>"
   $CMD "$1"
fi   
